Subject: Re: Need address for Rodale Research Center in Emmaus, PA

From: [email-masked] (BRateaver)
Date: 8 Mar 1996 08:01:12 -0500

No need for anything but: Rodale Press, Emmaus, Pa 18049.  They are huge
and the town is small. You can phone: 215-967-5171.  The editor: M.
McGrath, 215-967-8213

B. Rateaver